#ifndef KBBBOOKMARKMANAGER_H
#define KBBBOOKMARKMANAGER_H

#include <kbookmarkmanager.h>
#include <kstandarddirs.h>

class KBBBookmarkManager
{
public:
    static KBookmarkManager * self() {
        if ( !s_bookmarkManager )
        {
            TQString bookmarksFile = locateLocal("data", TQString::fromLatin1("kbugbuster/bookmarks.xml"));
            s_bookmarkManager = KBookmarkManager::managerForFile( bookmarksFile );
        }
        return s_bookmarkManager;
    }


    static KBookmarkManager *s_bookmarkManager;
};

#endif
